## List assets `client.Assets.List(ctx, query) (*AssetsCursorPage[AssetListResponse], error)` **get** `/assets` Returns assets visible to the authenticated public API key. Filter by workspace, project canvas, search query, cursor, and limit without exposing raw file bytes or internal graph data. ### Parameters - `query AssetListParams` - `Cursor param.Field[string]` Opaque cursor for fetching the next page - `Limit param.Field[int64]` Maximum number of results to return - `ProjectID param.Field[string]` Project identifier - `Query param.Field[string]` Search query - `WorkspaceID param.Field[string]` Workspace identifier ### Returns - `type AssetListResponse struct{…}` - `AssetID string` Asset identifier - `ContentType string` Asset content type - `CreatedAt int64` - `Description string` Asset description - `Height int64` - `Name string` Asset name - `SizeBytes int64` - `Status AssetListResponseStatus` - `const AssetListResponseStatusPendingUpload AssetListResponseStatus = "pending_upload"` - `const AssetListResponseStatusReady AssetListResponseStatus = "ready"` - `const AssetListResponseStatusFailed AssetListResponseStatus = "failed"` - `UploadContentType string` Content type provided at upload time - `UploadedVia string` Asset source - `URL string` Asset URL - `Width int64` - `WorkspaceID string` Workspace identifier - `NodeID string` Associated node identifier - `ProjectID string` Project identifier ### Example ```go package main import ( "context" "fmt" "github.com/florafauna-ai/flora-go" "github.com/florafauna-ai/flora-go/option" ) func main() { client := flora.NewClient( option.WithAPIKey("My API Key"), ) page, err := client.Assets.List(context.TODO(), flora.AssetListParams{ }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "assets": [ { "asset_id": "asset_abc123", "content_type": "content_type", "created_at": 0, "description": "description", "height": 0, "name": "name", "size_bytes": 0, "status": "pending_upload", "upload_content_type": "upload_content_type", "uploaded_via": "uploaded_via", "url": "https://example.com", "width": 0, "workspace_id": "ws_abc123", "node_id": "node_abc123", "project_id": "prj_abc123" } ], "meta": { "next_cursor": "eyJvZmZzZXQiOjIwfQ", "total_estimate": 0 } } ```